/**
 * Get a Directus asset URL from parameters
 */
export const getAssetUrl = (
    id: string,
    width: number,
    height: number,
    quality?: number,
    fit: string = 'inside',
    format?: string
) => {
    let args = ''

    // Add arguments to URL if specified
    if (quality) args += `&quality=${quality}`
    if (format) args += `&format=${format}`

    return `${import.meta.env.VITE_API_URL_DEV}/assets/${id}?width=${width}&height=${height}&fit=${fit}${args}`
}